comparison configure @ 3092:141c2920ea48

[xemacs-hg @ 2005-11-25 01:41:31 by crestani] Incremental Garbage Collector
author crestani
date Fri, 25 Nov 2005 01:42:08 +0000
parents 0ae46b360391
children 6693845ec32a
comparison
equal deleted inserted replaced
3091:c22d8984148c 3092:141c2920ea48
1152 --with-dump-in-exec Enable dumping into executable (enabled by default 1152 --with-dump-in-exec Enable dumping into executable (enabled by default
1153 for `pdump', not enabled by default in combination 1153 for `pdump', not enabled by default in combination
1154 with `mc-alloc'). 1154 with `mc-alloc').
1155 --with-kkcc Enable experimental new GC algorithms. 1155 --with-kkcc Enable experimental new GC algorithms.
1156 --with-mc-alloc Enable experimental new allocator. 1156 --with-mc-alloc Enable experimental new allocator.
1157 --with-newgc Enable new incremental garbage collector.
1158 --with-vdb=TYPE Override auto-detection of virtual-dirty-bit
1159 write-barrier implementation for the new garbage
1160 collector. TYPE must be one of "auto" (for
1161 auto-detection), "posix", "win32", "mach", or "fake"
1162 (uses the new garbage collector but disables
1163 incremental collections). The default is to use
1164 auto-detection.
1157 1165
1158 Emacs Lisp options 1166 Emacs Lisp options
1159 ------------------ 1167 ------------------
1160 1168
1161 --with-modules Compile in experimental support for dynamically 1169 --with-modules Compile in experimental support for dynamically
3364 withval="$with_mc_alloc" 3372 withval="$with_mc_alloc"
3365 3373
3366 else 3374 else
3367 enable_mc_alloc=yes 3375 enable_mc_alloc=yes
3368 fi; 3376 fi;
3377 # If --with-newgc or --without-newgc were given then copy the value to the
3378 # equivalent enable_newgc variable.
3379 if test "${with_newgc+set}" = set; then
3380 enable_newgc="$with_newgc"
3381 fi;
3382 # If -enable-newgc or --disable-newgc were given then copy the value to the
3383 # equivalent with_newgc variable.
3384 if test "${enable_newgc+set}" = set; then
3385 with_newgc="$enable_newgc"
3386 fi;
3387 # Check whether --with-newgc or --without-newgc was given.
3388 if test "${with_newgc+set}" = set; then
3389 enableval="$with_newgc"
3390 withval="$with_newgc"
3391
3392 fi;
3393 _vdb_notfirst=""
3394 with_vdb_auto=
3395 enable_vdb_auto=
3396 with_vdb_posix=
3397 enable_vdb_posix=
3398 with_vdb_win32=
3399 enable_vdb_win32=
3400 with_vdb_mach=
3401 enable_vdb_mach=
3402 with_vdb_fake=
3403 enable_vdb_fake=
3404 with_vdb_no=
3405 enable_vdb_no=
3406
3407 _vdb_types="auto posix win32 mach fake no"
3408 _vdb_default="auto,posix,win32,mach,fake,no"
3409
3410
3411
3412 # If --with-vdb or --without-vdb were given then copy the value to the
3413 # equivalent enable_vdb variable.
3414 if test "${with_vdb+set}" = set; then
3415 enable_vdb="$with_vdb"
3416 fi;
3417 # If -enable-vdb or --disable-vdb were given then copy the value to the
3418 # equivalent with_vdb variable.
3419 if test "${enable_vdb+set}" = set; then
3420 with_vdb="$enable_vdb"
3421 fi;
3422 # Check whether --with-vdb or --without-vdb was given.
3423 if test "${with_vdb+set}" = set; then
3424 enableval="$with_vdb"
3425 withval="$with_vdb"
3426 for y in $_vdb_types; do
3427 eval "with_vdb_$y=no"
3428 eval "enable_vdb_$y=no"
3429 done
3430 for x in `echo "$with_vdb" | sed -e 's/,/ /g'` ; do
3431 _vdb_all_default=""
3432 _vdb_found=""
3433 case "$x" in
3434 n | no | non | none ) _vdb_all_default=no ;;
3435 a | al | all | both ) _vdb_all_default=yes ;;
3436 esac
3437
3438 if test -z "$_vdb_all_default"; then
3439 for y in $_vdb_types; do
3440 if test "$x" = "$y"; then
3441 _vdb_found=yes
3442 eval "with_vdb_$y=yes"
3443 eval "enable_vdb_$y=yes"
3444 elif test "$x" = "no$y"; then
3445 _vdb_found=yes
3446 eval "with_vdb_$y=no"
3447 eval "enable_vdb_$y=no"
3448 fi
3449 done
3450 test -z "$_vdb_found" && _vdb_bogus=yes
3451 fi
3452 if test "$_vdb_bogus" = "yes" -o \
3453 \( -n "$_vdb_all_default" -a -n "$_vdb_notfirst" \) ; then
3454 (echo "$progname: Usage error:"
3455 echo " " "Valid values for the --with-vdb option are:
3456 $_vdb_types. With prefix \"no\", switch it off.
3457 Defaults may be overridden with \`all' or \`none' first in the list.
3458 Hardcoded default is: $_vdb_default."
3459 echo " Use \`$progname --help' to show usage.") >&2 && exit 1
3460 elif test -n "$_vdb_all_default" ; then
3461 for y in $_vdb_types; do
3462 eval "with_vdb_$y=$_vdb_all_default"
3463 eval "enable_vdb_$y=$_vdb_all_default"
3464 done
3465 fi
3466 _vdb_notfirst=yes
3467 done
3468 unset _vdb_bogus _vdb_found _vdb_notfirst _vdb_types
3469 unset _vdb_default _vdb_all_default x y
3470
3471
3472
3473 else
3474 enable_vdb="auto"
3475 fi;
3369 3476
3370 # If --with-modules or --without-modules were given then copy the value to the 3477 # If --with-modules or --without-modules were given then copy the value to the
3371 # equivalent enable_modules variable. 3478 # equivalent enable_modules variable.
3372 if test "${with_modules+set}" = set; then 3479 if test "${with_modules+set}" = set; then
3373 enable_modules="$with_modules" 3480 enable_modules="$with_modules"
4429 case "$opsys" in 4536 case "$opsys" in
4430 linux* ) enable_pdump=yes ;; darwin ) enable_pdump=yes ;; cygwin* ) enable_pdump=yes ;; * ) enable_pdump=no ;; 4537 linux* ) enable_pdump=yes ;; darwin ) enable_pdump=yes ;; cygwin* ) enable_pdump=yes ;; * ) enable_pdump=no ;;
4431 esac 4538 esac
4432 fi 4539 fi
4433 4540
4541 if test "$enable_newgc" = "yes"; then
4542 if test "$enable_vdb" = "auto"; then
4543 case "$opsys" in
4544 darwin ) cat >>confdefs.h <<\_ACEOF
4545 #define VDB_MACH 1
4546 _ACEOF
4547 have_vdb_mach=yes ;;
4548 cygwin* ) cat >>confdefs.h <<\_ACEOF
4549 #define VDB_WIN32 1
4550 _ACEOF
4551 have_vdb_win32=yes ;;
4552 linux* ) check_vdb_posix=yes ;;
4553 freebsd ) check_vdb_posix=yes ;;
4554 * ) check_vdb_posix=yes ;;
4555 esac
4556 else
4557 case "$enable_vdb" in
4558 mach ) cat >>confdefs.h <<\_ACEOF
4559 #define VDB_MACH 1
4560 _ACEOF
4561 have_vdb_mach=yes ;;
4562 win32 ) cat >>confdefs.h <<\_ACEOF
4563 #define VDB_WIN32 1
4564 _ACEOF
4565 have_vdb_win32=yes ;;
4566 posix ) check_vdb_posix=yes ;;
4567 fake ) have_vdb_fake=yes ;;
4568 no ) have_vdb_fake=yes ;;
4569 esac
4570 fi
4571 fi
4572
4434 if test -z "$with_dynamic"; then 4573 if test -z "$with_dynamic"; then
4435 case "$opsys" in 4574 case "$opsys" in
4436 hpux* | sunos4* ) with_dynamic=no ;; 4575 hpux* | sunos4* ) with_dynamic=no ;;
4437 *) with_dynamic=yes ;; 4576 *) with_dynamic=yes ;;
4438 esac 4577 esac
8626 enable_dump_in_exec=no 8765 enable_dump_in_exec=no
8627 else 8766 else
8628 enable_dump_in_exec=yes 8767 enable_dump_in_exec=yes
8629 fi 8768 fi
8630 fi 8769 fi
8770 fi
8771
8772 if test "$enable_newgc" = "yes"; then
8773 enable_mc_alloc=yes
8774 enable_kkcc=yes
8631 fi 8775 fi
8632 8776
8633 test "$verbose" = "yes" && \ 8777 test "$verbose" = "yes" && \
8634 for var in libs_machine libs_system libs_termcap libs_standard objects_machine objects_system c_switch_machine c_switch_system ld_switch_machine ld_switch_system unexec ld_switch_shared ld lib_gcc ld_text_start_addr start_files ordinary_link have_terminfo mail_use_flock mail_use_lockf; do eval "echo \"$var = '\$$var'\""; done && echo "" 8778 for var in libs_machine libs_system libs_termcap libs_standard objects_machine objects_system c_switch_machine c_switch_system ld_switch_machine ld_switch_system unexec ld_switch_shared ld lib_gcc ld_text_start_addr start_files ordinary_link have_terminfo mail_use_flock mail_use_lockf; do eval "echo \"$var = '\$$var'\""; done && echo ""
8635 8779
28579 ac_cv_func_getaddrinfo=no 28723 ac_cv_func_getaddrinfo=no
28580 ;; 28724 ;;
28581 esac 28725 esac
28582 fi 28726 fi
28583 28727
28728 if test "$check_vdb_posix" = "yes" ; then
28729 echo "$as_me:$LINENO: checking for mprotect" >&5
28730 echo $ECHO_N "checking for mprotect... $ECHO_C" >&6
28731 if test "${ac_cv_func_mprotect+set}" = set; then
28732 echo $ECHO_N "(cached) $ECHO_C" >&6
28733 else
28734 cat >conftest.$ac_ext <<_ACEOF
28735 /* confdefs.h. */
28736 _ACEOF
28737 cat confdefs.h >>conftest.$ac_ext
28738 cat >>conftest.$ac_ext <<_ACEOF
28739 /* end confdefs.h. */
28740 /* Define mprotect to an innocuous variant, in case <limits.h> declares mprotect.
28741 For example, HP-UX 11i <limits.h> declares gettimeofday. */
28742 #define mprotect innocuous_mprotect
28743
28744 /* System header to define __stub macros and hopefully few prototypes,
28745 which can conflict with char mprotect (); below.
28746 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
28747 <limits.h> exists even on freestanding compilers. */
28748
28749 #ifdef __STDC__
28750 # include <limits.h>
28751 #else
28752 # include <assert.h>
28753 #endif
28754
28755 #undef mprotect
28756
28757 /* Override any gcc2 internal prototype to avoid an error. */
28758 #ifdef __cplusplus
28759 extern "C"
28760 {
28761 #endif
28762 /* We use char because int might match the return type of a gcc2
28763 builtin and then its argument prototype would still apply. */
28764 char mprotect ();
28765 /* The GNU C library defines this for functions which it implements
28766 to always fail with ENOSYS. Some functions are actually named
28767 something starting with __ and the normal name is an alias. */
28768 #if defined (__stub_mprotect) || defined (__stub___mprotect)
28769 choke me
28770 #else
28771 char (*f) () = mprotect;
28772 #endif
28773 #ifdef __cplusplus
28774 }
28775 #endif
28776
28777 int
28778 main ()
28779 {
28780 return f != mprotect;
28781 ;
28782 return 0;
28783 }
28784 _ACEOF
28785 rm -f conftest.$ac_objext conftest$ac_exeext
28786 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28787 (eval $ac_link) 2>conftest.er1
28788 ac_status=$?
28789 grep -v '^ *+' conftest.er1 >conftest.err
28790 rm -f conftest.er1
28791 cat conftest.err >&5
28792 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28793 (exit $ac_status); } &&
28794 { ac_try='test -z "$ac_c_werror_flag"
28795 || test ! -s conftest.err'
28796 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28797 (eval $ac_try) 2>&5
28798 ac_status=$?
28799 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28800 (exit $ac_status); }; } &&
28801 { ac_try='test -s conftest$ac_exeext'
28802 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28803 (eval $ac_try) 2>&5
28804 ac_status=$?
28805 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28806 (exit $ac_status); }; }; then
28807 ac_cv_func_mprotect=yes
28808 else
28809 echo "$as_me: failed program was:" >&5
28810 sed 's/^/| /' conftest.$ac_ext >&5
28811
28812 ac_cv_func_mprotect=no
28813 fi
28814 rm -f conftest.err conftest.$ac_objext \
28815 conftest$ac_exeext conftest.$ac_ext
28816 fi
28817 echo "$as_me:$LINENO: result: $ac_cv_func_mprotect" >&5
28818 echo "${ECHO_T}$ac_cv_func_mprotect" >&6
28819 if test $ac_cv_func_mprotect = yes; then
28820 cat >>confdefs.h <<\_ACEOF
28821 #define HAVE_MPROTECT 1
28822 _ACEOF
28823 have_vdb_mprotect=yes
28824 fi
28825
28826
28827 echo "$as_me:$LINENO: checking for sigaction" >&5
28828 echo $ECHO_N "checking for sigaction... $ECHO_C" >&6
28829 if test "${ac_cv_func_sigaction+set}" = set; then
28830 echo $ECHO_N "(cached) $ECHO_C" >&6
28831 else
28832 cat >conftest.$ac_ext <<_ACEOF
28833 /* confdefs.h. */
28834 _ACEOF
28835 cat confdefs.h >>conftest.$ac_ext
28836 cat >>conftest.$ac_ext <<_ACEOF
28837 /* end confdefs.h. */
28838 /* Define sigaction to an innocuous variant, in case <limits.h> declares sigaction.
28839 For example, HP-UX 11i <limits.h> declares gettimeofday. */
28840 #define sigaction innocuous_sigaction
28841
28842 /* System header to define __stub macros and hopefully few prototypes,
28843 which can conflict with char sigaction (); below.
28844 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
28845 <limits.h> exists even on freestanding compilers. */
28846
28847 #ifdef __STDC__
28848 # include <limits.h>
28849 #else
28850 # include <assert.h>
28851 #endif
28852
28853 #undef sigaction
28854
28855 /* Override any gcc2 internal prototype to avoid an error. */
28856 #ifdef __cplusplus
28857 extern "C"
28858 {
28859 #endif
28860 /* We use char because int might match the return type of a gcc2
28861 builtin and then its argument prototype would still apply. */
28862 char sigaction ();
28863 /* The GNU C library defines this for functions which it implements
28864 to always fail with ENOSYS. Some functions are actually named
28865 something starting with __ and the normal name is an alias. */
28866 #if defined (__stub_sigaction) || defined (__stub___sigaction)
28867 choke me
28868 #else
28869 char (*f) () = sigaction;
28870 #endif
28871 #ifdef __cplusplus
28872 }
28873 #endif
28874
28875 int
28876 main ()
28877 {
28878 return f != sigaction;
28879 ;
28880 return 0;
28881 }
28882 _ACEOF
28883 rm -f conftest.$ac_objext conftest$ac_exeext
28884 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28885 (eval $ac_link) 2>conftest.er1
28886 ac_status=$?
28887 grep -v '^ *+' conftest.er1 >conftest.err
28888 rm -f conftest.er1
28889 cat conftest.err >&5
28890 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28891 (exit $ac_status); } &&
28892 { ac_try='test -z "$ac_c_werror_flag"
28893 || test ! -s conftest.err'
28894 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28895 (eval $ac_try) 2>&5
28896 ac_status=$?
28897 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28898 (exit $ac_status); }; } &&
28899 { ac_try='test -s conftest$ac_exeext'
28900 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28901 (eval $ac_try) 2>&5
28902 ac_status=$?
28903 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28904 (exit $ac_status); }; }; then
28905 ac_cv_func_sigaction=yes
28906 else
28907 echo "$as_me: failed program was:" >&5
28908 sed 's/^/| /' conftest.$ac_ext >&5
28909
28910 ac_cv_func_sigaction=no
28911 fi
28912 rm -f conftest.err conftest.$ac_objext \
28913 conftest$ac_exeext conftest.$ac_ext
28914 fi
28915 echo "$as_me:$LINENO: result: $ac_cv_func_sigaction" >&5
28916 echo "${ECHO_T}$ac_cv_func_sigaction" >&6
28917 if test $ac_cv_func_sigaction = yes; then
28918 cat >>confdefs.h <<\_ACEOF
28919 #define HAVE_SIGACTION 1
28920 _ACEOF
28921 have_vdb_sigaction=yes
28922 else
28923 have_vdb_sigaction=no
28924 fi
28925
28926 echo "$as_me:$LINENO: checking for struct siginfo.si_addr" >&5
28927 echo $ECHO_N "checking for struct siginfo.si_addr... $ECHO_C" >&6
28928 if test "${ac_cv_member_struct_siginfo_si_addr+set}" = set; then
28929 echo $ECHO_N "(cached) $ECHO_C" >&6
28930 else
28931 cat >conftest.$ac_ext <<_ACEOF
28932 /* confdefs.h. */
28933 _ACEOF
28934 cat confdefs.h >>conftest.$ac_ext
28935 cat >>conftest.$ac_ext <<_ACEOF
28936 /* end confdefs.h. */
28937 #include <signal.h>
28938
28939 int
28940 main ()
28941 {
28942 static struct siginfo ac_aggr;
28943 if (ac_aggr.si_addr)
28944 return 0;
28945 ;
28946 return 0;
28947 }
28948 _ACEOF
28949 rm -f conftest.$ac_objext
28950 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
28951 (eval $ac_compile) 2>conftest.er1
28952 ac_status=$?
28953 grep -v '^ *+' conftest.er1 >conftest.err
28954 rm -f conftest.er1
28955 cat conftest.err >&5
28956 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28957 (exit $ac_status); } &&
28958 { ac_try='test -z "$ac_c_werror_flag"
28959 || test ! -s conftest.err'
28960 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28961 (eval $ac_try) 2>&5
28962 ac_status=$?
28963 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28964 (exit $ac_status); }; } &&
28965 { ac_try='test -s conftest.$ac_objext'
28966 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28967 (eval $ac_try) 2>&5
28968 ac_status=$?
28969 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28970 (exit $ac_status); }; }; then
28971 ac_cv_member_struct_siginfo_si_addr=yes
28972 else
28973 echo "$as_me: failed program was:" >&5
28974 sed 's/^/| /' conftest.$ac_ext >&5
28975
28976 cat >conftest.$ac_ext <<_ACEOF
28977 /* confdefs.h. */
28978 _ACEOF
28979 cat confdefs.h >>conftest.$ac_ext
28980 cat >>conftest.$ac_ext <<_ACEOF
28981 /* end confdefs.h. */
28982 #include <signal.h>
28983
28984 int
28985 main ()
28986 {
28987 static struct siginfo ac_aggr;
28988 if (sizeof ac_aggr.si_addr)
28989 return 0;
28990 ;
28991 return 0;
28992 }
28993 _ACEOF
28994 rm -f conftest.$ac_objext
28995 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
28996 (eval $ac_compile) 2>conftest.er1
28997 ac_status=$?
28998 grep -v '^ *+' conftest.er1 >conftest.err
28999 rm -f conftest.er1
29000 cat conftest.err >&5
29001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29002 (exit $ac_status); } &&
29003 { ac_try='test -z "$ac_c_werror_flag"
29004 || test ! -s conftest.err'
29005 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29006 (eval $ac_try) 2>&5
29007 ac_status=$?
29008 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29009 (exit $ac_status); }; } &&
29010 { ac_try='test -s conftest.$ac_objext'
29011 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29012 (eval $ac_try) 2>&5
29013 ac_status=$?
29014 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29015 (exit $ac_status); }; }; then
29016 ac_cv_member_struct_siginfo_si_addr=yes
29017 else
29018 echo "$as_me: failed program was:" >&5
29019 sed 's/^/| /' conftest.$ac_ext >&5
29020
29021 ac_cv_member_struct_siginfo_si_addr=no
29022 fi
29023 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29024 fi
29025 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29026 fi
29027 echo "$as_me:$LINENO: result: $ac_cv_member_struct_siginfo_si_addr" >&5
29028 echo "${ECHO_T}$ac_cv_member_struct_siginfo_si_addr" >&6
29029 if test $ac_cv_member_struct_siginfo_si_addr = yes; then
29030 cat >>confdefs.h <<\_ACEOF
29031 #define HAVE_STRUCT_SIGINFO_SI_ADDR 1
29032 _ACEOF
29033 have_si_addr=yes
29034 fi
29035
29036 echo "$as_me:$LINENO: checking for siginfo_t.si_addr" >&5
29037 echo $ECHO_N "checking for siginfo_t.si_addr... $ECHO_C" >&6
29038 if test "${ac_cv_member_siginfo_t_si_addr+set}" = set; then
29039 echo $ECHO_N "(cached) $ECHO_C" >&6
29040 else
29041 cat >conftest.$ac_ext <<_ACEOF
29042 /* confdefs.h. */
29043 _ACEOF
29044 cat confdefs.h >>conftest.$ac_ext
29045 cat >>conftest.$ac_ext <<_ACEOF
29046 /* end confdefs.h. */
29047 #include <signal.h>
29048
29049 int
29050 main ()
29051 {
29052 static siginfo_t ac_aggr;
29053 if (ac_aggr.si_addr)
29054 return 0;
29055 ;
29056 return 0;
29057 }
29058 _ACEOF
29059 rm -f conftest.$ac_objext
29060 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
29061 (eval $ac_compile) 2>conftest.er1
29062 ac_status=$?
29063 grep -v '^ *+' conftest.er1 >conftest.err
29064 rm -f conftest.er1
29065 cat conftest.err >&5
29066 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29067 (exit $ac_status); } &&
29068 { ac_try='test -z "$ac_c_werror_flag"
29069 || test ! -s conftest.err'
29070 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29071 (eval $ac_try) 2>&5
29072 ac_status=$?
29073 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29074 (exit $ac_status); }; } &&
29075 { ac_try='test -s conftest.$ac_objext'
29076 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29077 (eval $ac_try) 2>&5
29078 ac_status=$?
29079 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29080 (exit $ac_status); }; }; then
29081 ac_cv_member_siginfo_t_si_addr=yes
29082 else
29083 echo "$as_me: failed program was:" >&5
29084 sed 's/^/| /' conftest.$ac_ext >&5
29085
29086 cat >conftest.$ac_ext <<_ACEOF
29087 /* confdefs.h. */
29088 _ACEOF
29089 cat confdefs.h >>conftest.$ac_ext
29090 cat >>conftest.$ac_ext <<_ACEOF
29091 /* end confdefs.h. */
29092 #include <signal.h>
29093
29094 int
29095 main ()
29096 {
29097 static siginfo_t ac_aggr;
29098 if (sizeof ac_aggr.si_addr)
29099 return 0;
29100 ;
29101 return 0;
29102 }
29103 _ACEOF
29104 rm -f conftest.$ac_objext
29105 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
29106 (eval $ac_compile) 2>conftest.er1
29107 ac_status=$?
29108 grep -v '^ *+' conftest.er1 >conftest.err
29109 rm -f conftest.er1
29110 cat conftest.err >&5
29111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29112 (exit $ac_status); } &&
29113 { ac_try='test -z "$ac_c_werror_flag"
29114 || test ! -s conftest.err'
29115 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29116 (eval $ac_try) 2>&5
29117 ac_status=$?
29118 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29119 (exit $ac_status); }; } &&
29120 { ac_try='test -s conftest.$ac_objext'
29121 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29122 (eval $ac_try) 2>&5
29123 ac_status=$?
29124 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29125 (exit $ac_status); }; }; then
29126 ac_cv_member_siginfo_t_si_addr=yes
29127 else
29128 echo "$as_me: failed program was:" >&5
29129 sed 's/^/| /' conftest.$ac_ext >&5
29130
29131 ac_cv_member_siginfo_t_si_addr=no
29132 fi
29133 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29134 fi
29135 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29136 fi
29137 echo "$as_me:$LINENO: result: $ac_cv_member_siginfo_t_si_addr" >&5
29138 echo "${ECHO_T}$ac_cv_member_siginfo_t_si_addr" >&6
29139 if test $ac_cv_member_siginfo_t_si_addr = yes; then
29140 cat >>confdefs.h <<\_ACEOF
29141 #define HAVE_SIGINFO_T_SI_ADDR 1
29142 _ACEOF
29143 have_si_addr=yes
29144 fi
29145
29146 if test "$have_si_addr" != "yes" ; then
29147 have_vdb_sigaction=no
29148 fi
29149
29150 echo "$as_me:$LINENO: checking for signal" >&5
29151 echo $ECHO_N "checking for signal... $ECHO_C" >&6
29152 if test "${ac_cv_func_signal+set}" = set; then
29153 echo $ECHO_N "(cached) $ECHO_C" >&6
29154 else
29155 cat >conftest.$ac_ext <<_ACEOF
29156 /* confdefs.h. */
29157 _ACEOF
29158 cat confdefs.h >>conftest.$ac_ext
29159 cat >>conftest.$ac_ext <<_ACEOF
29160 /* end confdefs.h. */
29161 /* Define signal to an innocuous variant, in case <limits.h> declares signal.
29162 For example, HP-UX 11i <limits.h> declares gettimeofday. */
29163 #define signal innocuous_signal
29164
29165 /* System header to define __stub macros and hopefully few prototypes,
29166 which can conflict with char signal (); below.
29167 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
29168 <limits.h> exists even on freestanding compilers. */
29169
29170 #ifdef __STDC__
29171 # include <limits.h>
29172 #else
29173 # include <assert.h>
29174 #endif
29175
29176 #undef signal
29177
29178 /* Override any gcc2 internal prototype to avoid an error. */
29179 #ifdef __cplusplus
29180 extern "C"
29181 {
29182 #endif
29183 /* We use char because int might match the return type of a gcc2
29184 builtin and then its argument prototype would still apply. */
29185 char signal ();
29186 /* The GNU C library defines this for functions which it implements
29187 to always fail with ENOSYS. Some functions are actually named
29188 something starting with __ and the normal name is an alias. */
29189 #if defined (__stub_signal) || defined (__stub___signal)
29190 choke me
29191 #else
29192 char (*f) () = signal;
29193 #endif
29194 #ifdef __cplusplus
29195 }
29196 #endif
29197
29198 int
29199 main ()
29200 {
29201 return f != signal;
29202 ;
29203 return 0;
29204 }
29205 _ACEOF
29206 rm -f conftest.$ac_objext conftest$ac_exeext
29207 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
29208 (eval $ac_link) 2>conftest.er1
29209 ac_status=$?
29210 grep -v '^ *+' conftest.er1 >conftest.err
29211 rm -f conftest.er1
29212 cat conftest.err >&5
29213 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29214 (exit $ac_status); } &&
29215 { ac_try='test -z "$ac_c_werror_flag"
29216 || test ! -s conftest.err'
29217 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29218 (eval $ac_try) 2>&5
29219 ac_status=$?
29220 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29221 (exit $ac_status); }; } &&
29222 { ac_try='test -s conftest$ac_exeext'
29223 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29224 (eval $ac_try) 2>&5
29225 ac_status=$?
29226 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29227 (exit $ac_status); }; }; then
29228 ac_cv_func_signal=yes
29229 else
29230 echo "$as_me: failed program was:" >&5
29231 sed 's/^/| /' conftest.$ac_ext >&5
29232
29233 ac_cv_func_signal=no
29234 fi
29235 rm -f conftest.err conftest.$ac_objext \
29236 conftest$ac_exeext conftest.$ac_ext
29237 fi
29238 echo "$as_me:$LINENO: result: $ac_cv_func_signal" >&5
29239 echo "${ECHO_T}$ac_cv_func_signal" >&6
29240 if test $ac_cv_func_signal = yes; then
29241 cat >>confdefs.h <<\_ACEOF
29242 #define HAVE_SIGNAL 1
29243 _ACEOF
29244 have_vdb_signal=yes
29245 fi
29246
29247 echo "$as_me:$LINENO: checking for struct sigcontext.cr2" >&5
29248 echo $ECHO_N "checking for struct sigcontext.cr2... $ECHO_C" >&6
29249 if test "${ac_cv_member_struct_sigcontext_cr2+set}" = set; then
29250 echo $ECHO_N "(cached) $ECHO_C" >&6
29251 else
29252 cat >conftest.$ac_ext <<_ACEOF
29253 /* confdefs.h. */
29254 _ACEOF
29255 cat confdefs.h >>conftest.$ac_ext
29256 cat >>conftest.$ac_ext <<_ACEOF
29257 /* end confdefs.h. */
29258 #include <signal.h>
29259
29260 int
29261 main ()
29262 {
29263 static struct sigcontext ac_aggr;
29264 if (ac_aggr.cr2)
29265 return 0;
29266 ;
29267 return 0;
29268 }
29269 _ACEOF
29270 rm -f conftest.$ac_objext
29271 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
29272 (eval $ac_compile) 2>conftest.er1
29273 ac_status=$?
29274 grep -v '^ *+' conftest.er1 >conftest.err
29275 rm -f conftest.er1
29276 cat conftest.err >&5
29277 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29278 (exit $ac_status); } &&
29279 { ac_try='test -z "$ac_c_werror_flag"
29280 || test ! -s conftest.err'
29281 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29282 (eval $ac_try) 2>&5
29283 ac_status=$?
29284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29285 (exit $ac_status); }; } &&
29286 { ac_try='test -s conftest.$ac_objext'
29287 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29288 (eval $ac_try) 2>&5
29289 ac_status=$?
29290 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29291 (exit $ac_status); }; }; then
29292 ac_cv_member_struct_sigcontext_cr2=yes
29293 else
29294 echo "$as_me: failed program was:" >&5
29295 sed 's/^/| /' conftest.$ac_ext >&5
29296
29297 cat >conftest.$ac_ext <<_ACEOF
29298 /* confdefs.h. */
29299 _ACEOF
29300 cat confdefs.h >>conftest.$ac_ext
29301 cat >>conftest.$ac_ext <<_ACEOF
29302 /* end confdefs.h. */
29303 #include <signal.h>
29304
29305 int
29306 main ()
29307 {
29308 static struct sigcontext ac_aggr;
29309 if (sizeof ac_aggr.cr2)
29310 return 0;
29311 ;
29312 return 0;
29313 }
29314 _ACEOF
29315 rm -f conftest.$ac_objext
29316 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
29317 (eval $ac_compile) 2>conftest.er1
29318 ac_status=$?
29319 grep -v '^ *+' conftest.er1 >conftest.err
29320 rm -f conftest.er1
29321 cat conftest.err >&5
29322 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29323 (exit $ac_status); } &&
29324 { ac_try='test -z "$ac_c_werror_flag"
29325 || test ! -s conftest.err'
29326 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29327 (eval $ac_try) 2>&5
29328 ac_status=$?
29329 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29330 (exit $ac_status); }; } &&
29331 { ac_try='test -s conftest.$ac_objext'
29332 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29333 (eval $ac_try) 2>&5
29334 ac_status=$?
29335 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29336 (exit $ac_status); }; }; then
29337 ac_cv_member_struct_sigcontext_cr2=yes
29338 else
29339 echo "$as_me: failed program was:" >&5
29340 sed 's/^/| /' conftest.$ac_ext >&5
29341
29342 ac_cv_member_struct_sigcontext_cr2=no
29343 fi
29344 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29345 fi
29346 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29347 fi
29348 echo "$as_me:$LINENO: result: $ac_cv_member_struct_sigcontext_cr2" >&5
29349 echo "${ECHO_T}$ac_cv_member_struct_sigcontext_cr2" >&6
29350 if test $ac_cv_member_struct_sigcontext_cr2 = yes; then
29351 cat >>confdefs.h <<\_ACEOF
29352 #define HAVE_STRUCT_SIGCONTEXT_CR2 1
29353 _ACEOF
29354 have_cr2=yes
29355 fi
29356
29357
29358 if test "$have_cr2" != "yes" ; then
29359 have_vdb_signal=no
29360 fi
29361
29362 if test "$have_vdb_mprotect" != "yes" ; then
29363 have_vdb_sigaction=no
29364 have_vdb_signal=no
29365 fi
29366
29367 if test "$have_vdb_sigaction" != "yes" -a "$have_vdb_signal" != "yes" ; then
29368 have_vdb_posix=no
29369 have_vdb_fake=yes
29370 else
29371 have_vdb_posix=yes
29372 have_vdb_fake=no
29373 fi
29374 fi
29375
28584 29376
28585 29377
28586 29378
28587 29379
28588 29380
37218 for var in extra_objs c_switch_general c_switch_window_system c_switch_all ld_switch_general ld_switch_window_system ld_switch_all ld_libs_general ld_libs_window_system ld_libs_all; do eval "echo \"$var = '\$$var'\""; done 38010 for var in extra_objs c_switch_general c_switch_window_system c_switch_all ld_switch_general ld_switch_window_system ld_switch_all ld_libs_general ld_libs_window_system ld_libs_all; do eval "echo \"$var = '\$$var'\""; done
37219 echo "" 38011 echo ""
37220 fi 38012 fi
37221 38013
37222 38014
37223 if test -f "$srcdir/src/.gdbinit" -a ! -f "src/.gdbinit"; then 38015 if test -f "$srcdir/src/.gdbinit.in" -a ! -f "src/.gdbinit.in"; then
37224 test "$verbose" = "yes" && echo "creating src/.gdbinit" 38016 test "$verbose" = "yes" && echo "creating src/.gdbinit.in"
37225 echo "source $srcdir/src/.gdbinit" > "src/.gdbinit" 38017 echo "source $srcdir/src/.gdbinit.in" > "src/.gdbinit.in"
37226 fi 38018 fi
37227 38019
37228 if test -f "$srcdir/src/.dbxrc" -a ! -f "src/.dbxrc"; then 38020 if test -f "$srcdir/src/.dbxrc.in" -a ! -f "src/.dbxrc.in"; then
37229 test "$verbose" = "yes" && echo "creating src/.dbxrc" 38021 test "$verbose" = "yes" && echo "creating src/.dbxrc.in"
37230 echo ". $srcdir/src/.dbxrc" > "src/.dbxrc" 38022 echo ". $srcdir/src/.dbxrc.in" > "src/.dbxrc.in"
37231 fi 38023 fi
37232 38024
37233 if test -f "$srcdir/TAGS" -a ! -f "TAGS"; then 38025 if test -f "$srcdir/TAGS" -a ! -f "TAGS"; then
37234 test "$verbose" = "yes" && echo "creating TAGS" 38026 test "$verbose" = "yes" && echo "creating TAGS"
37235 echo " 38027 echo "
37525 #define USE_KKCC 1 38317 #define USE_KKCC 1
37526 _ACEOF 38318 _ACEOF
37527 38319
37528 test "$enable_mc_alloc" = "yes" && cat >>confdefs.h <<\_ACEOF 38320 test "$enable_mc_alloc" = "yes" && cat >>confdefs.h <<\_ACEOF
37529 #define MC_ALLOC 1 38321 #define MC_ALLOC 1
38322 _ACEOF
38323
38324 test "$enable_newgc" = "yes" && cat >>confdefs.h <<\_ACEOF
38325 #define NEW_GC 1
38326 _ACEOF
38327
38328 test "$have_vdb_posix" = "yes" && cat >>confdefs.h <<\_ACEOF
38329 #define VDB_POSIX 1
38330 _ACEOF
38331
38332 test "$have_vdb_fake" = "yes" && cat >>confdefs.h <<\_ACEOF
38333 #define VDB_FAKE 1
37530 _ACEOF 38334 _ACEOF
37531 38335
37532 test "$enable_quick_build" = "yes" && cat >>confdefs.h <<\_ACEOF 38336 test "$enable_quick_build" = "yes" && cat >>confdefs.h <<\_ACEOF
37533 #define QUICK_BUILD 1 38337 #define QUICK_BUILD 1
37534 _ACEOF 38338 _ACEOF
37827 echo " WARNING: ---------------------------------------------------------" 38631 echo " WARNING: ---------------------------------------------------------"
37828 echo " WARNING: The new allocator is experimental. It is enabled by" 38632 echo " WARNING: The new allocator is experimental. It is enabled by"
37829 echo " WARNING: default for this release. Use \`--disable-mc-alloc' to" 38633 echo " WARNING: default for this release. Use \`--disable-mc-alloc' to"
37830 echo " WARNING: turn it off." 38634 echo " WARNING: turn it off."
37831 echo " WARNING: ---------------------------------------------------------" 38635 echo " WARNING: ---------------------------------------------------------"
38636 fi
38637 test "$enable_newgc" = yes && echo " Using the new incremental garbage collector."
38638 if test "$have_vdb_posix" = yes ; then
38639 if test "$have_vdb_sigaction" = yes ; then
38640 echo " Using POSIX sigaction() to install fault handler."
38641 else
38642 echo " Using POSIX signal() to install vdb fault handler."
38643 fi
38644 fi
38645 if test "$have_vdb_win32" = yes ; then
38646 echo " Using special WIN32 vdb fault handler."
38647 fi
38648 if test "$have_vdb_mach" = yes ; then
38649 echo " Using mach exception mechanism as vdb fault handler."
38650 fi
38651 if test "$have_vdb_fake" = yes && test "$enable_vdb" != fake; then
38652 echo " WARNING: ---------------------------------------------------------"
38653 echo " WARNING: The new incremental garbage collector is enabled, but"
38654 echo " WARNING: a virtual dirty bit implementation is not yet available"
38655 echo " WARNING: on this system. XEmacs will crash if you try to switch on"
38656 echo " WARNUNG: incremental garbage collection!"
38657 echo " WARNING: Use \`--disable-newgc' to turn incremental gc off."
38658 echo " WARNING: ---------------------------------------------------------"
38659 fi
38660 if test "$have_vdb_fake" = yes && test "$enable_vdb" == fake; then
38661 echo " Virtual dirty bit write barrier manually disabled."
37832 fi 38662 fi
37833 test "$enable_pdump" = yes && echo " Using the new portable dumper." 38663 test "$enable_pdump" = yes && echo " Using the new portable dumper."
37834 test "$enable_dump_in_exec" = yes && echo " Dumping into executable." 38664 test "$enable_dump_in_exec" = yes && echo " Dumping into executable."
37835 test "$enable_debug" = yes && echo " Compiling in support for extra debugging code." 38665 test "$enable_debug" = yes && echo " Compiling in support for extra debugging code."
37836 test "$usage_tracking" = yes && echo " Compiling in support for active usage tracking (Sun internal)." 38666 test "$usage_tracking" = yes && echo " Compiling in support for active usage tracking (Sun internal)."
39252 s/\"[ TAB]*$// 40082 s/\"[ TAB]*$//
39253 }' > Makefile.new 40083 }' > Makefile.new
39254 chmod 444 Makefile.new 40084 chmod 444 Makefile.new
39255 mv -f Makefile.new GNUmakefile 40085 mv -f Makefile.new GNUmakefile
39256 40086
40087 if test -r ".gdbinit.in"; then
40088 rm -f junk.c
40089 < .gdbinit.in \
40090 sed -e '/^# Generated/d' \
40091 -e 's%/\*\*/#.*%%' \
40092 -e 's/^ *# */#/' \
40093 -e '/^##/d' \
40094 -e '/^#/ {
40095 p
40096 d
40097 }' \
40098 -e '/./ {
40099 s/\([\"]\)/\\\1/g
40100 s/^/"/
40101 s/$/"/
40102 }' > junk.c;
40103
40104 echo creating $dir/.gdbinit
40105 $CPP -I. -I${srcdir}/src junk.c \
40106 | sed -e 's/^\#.*//' \
40107 -e 's/^[ TAB][ TAB]*$//'\
40108 -e 's/^ / /' \
40109 -e '/^[ ]*$/d' \
40110 -e '/^\"/ {
40111 s/\\\([\"]\)/\1/g
40112 s/^[ TAB]*\"//
40113 s/\"[ TAB]*$//
40114 }' > Makefile.new
40115 chmod 444 Makefile.new
40116 mv -f Makefile.new .gdbinit
40117
40118 fi
40119 if test -r ".dbxrc.in"; then
40120 rm -f junk.c
40121 < .dbxrc.in \
40122 sed -e '/^# Generated/d' \
40123 -e 's%/\*\*/#.*%%' \
40124 -e 's/^ *# */#/' \
40125 -e '/^##/d' \
40126 -e '/^#/ {
40127 p
40128 d
40129 }' \
40130 -e '/./ {
40131 s/\([\"]\)/\\\1/g
40132 s/^/"/
40133 s/$/"/
40134 }' > junk.c;
40135
40136 echo creating $dir/.dbxrc
40137 $CPP -I. -I${srcdir}/src junk.c \
40138 | sed -e 's/^\#.*//' \
40139 -e 's/^[ TAB][ TAB]*$//'\
40140 -e 's/^ / /' \
40141 -e '/^[ ]*$/d' \
40142 -e '/^\"/ {
40143 s/\\\([\"]\)/\1/g
40144 s/^[ TAB]*\"//
40145 s/\"[ TAB]*$//
40146 }' > Makefile.new
40147 chmod 444 Makefile.new
40148 mv -f Makefile.new .dbxrc
40149
40150 fi
39257 if test -r "xemacs.def.in"; then 40151 if test -r "xemacs.def.in"; then
39258 rm -f junk.c 40152 rm -f junk.c
39259 cp xemacs.def.in junk.c 40153 cp xemacs.def.in junk.c
39260 echo creating $dir/xemacs.def 40154 echo creating $dir/xemacs.def
39261 $CPP -I. -I${srcdir}/src junk.c \ 40155 $CPP -I. -I${srcdir}/src junk.c \